// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 48;
	objects = {

/* Begin PBXBuildFile section */
		0B184B30B2DAAED9724F6B62 /* Pods_PhoChannel.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 3DD5589FDA0BA33F37C5F2DF /* Pods_PhoChannel.framework */; };
		224DFAE820D24F1800364A1F /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 224DFAE720D24F1800364A1F /* AppDelegate.swift */; };
		224DFAED20D24F1800364A1F /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 224DFAEB20D24F1800364A1F /* Main.storyboard */; };
		224DFAEF20D24F1900364A1F /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 224DFAEE20D24F1900364A1F /* Assets.xcassets */; };
		224DFAF220D24F1900364A1F /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 224DFAF020D24F1900364A1F /* LaunchScreen.storyboard */; };
		224DFAFE20D254C300364A1F /* Define.swift in Sources */ = {isa = PBXBuildFile; fileRef = 224DFAFD20D254C300364A1F /* Define.swift */; };
		224DFB0020D258A700364A1F /* Utility.swift in Sources */ = {isa = PBXBuildFile; fileRef = 224DFAFF20D258A700364A1F /* Utility.swift */; };
		224DFB0220D25BD900364A1F /* VideoModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 224DFB0120D25BD900364A1F /* VideoModel.swift */; };
		224DFB0420D263B300364A1F /* VideoIdentifier.swift in Sources */ = {isa = PBXBuildFile; fileRef = 224DFB0320D263B300364A1F /* VideoIdentifier.swift */; };
		224DFB0620D263CB00364A1F /* SnippetModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 224DFB0520D263CB00364A1F /* SnippetModel.swift */; };
		224DFB0820D263E200364A1F /* ThumbnailModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 224DFB0720D263E200364A1F /* ThumbnailModel.swift */; };
		224DFB0A20D263F300364A1F /* ThumbnailSize.swift in Sources */ = {isa = PBXBuildFile; fileRef = 224DFB0920D263F300364A1F /* ThumbnailSize.swift */; };
		224DFB0C20D26FC100364A1F /* VideoThumbnailView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 224DFB0B20D26FC100364A1F /* VideoThumbnailView.swift */; };
		224DFB0F20D280D400364A1F /* UIStoryboard-Extension.swift in Sources */ = {isa = PBXBuildFile; fileRef = 224DFB0E20D280D400364A1F /* UIStoryboard-Extension.swift */; };
		224DFB1120D2829300364A1F /* VideoListViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 224DFB1020D2829300364A1F /* VideoListViewController.swift */; };
		22780FF520D34F3300E198AD /* VideoDetailViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 22780FF420D34F3300E198AD /* VideoDetailViewController.swift */; };
		22780FFB20D3657C00E198AD /* VideoInfoViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 22780FF920D3657C00E198AD /* VideoInfoViewCell.swift */; };
		22780FFC20D3657C00E198AD /* VideoInfoViewCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = 22780FFA20D3657C00E198AD /* VideoInfoViewCell.xib */; };
		2278100720D374A000E198AD /* VideoRelatedTextCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2278100520D374A000E198AD /* VideoRelatedTextCell.swift */; };
		2278100820D374A000E198AD /* VideoRelatedTextCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = 2278100620D374A000E198AD /* VideoRelatedTextCell.xib */; };
		2278100B20D3755300E198AD /* VideoRelatedViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2278100920D3755300E198AD /* VideoRelatedViewCell.swift */; };
		2278100C20D3755300E198AD /* VideoRelatedViewCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = 2278100A20D3755300E198AD /* VideoRelatedViewCell.xib */; };
		2278101120D389D900E198AD /* LoadMoreTableCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2278100F20D389D900E198AD /* LoadMoreTableCell.swift */; };
		2278101220D389D900E198AD /* LoadMoreTableCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = 2278101020D389D900E198AD /* LoadMoreTableCell.xib */; };
		2278101520D38A3600E198AD /* LoadMoreCollectionCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2278101320D38A3600E198AD /* LoadMoreCollectionCell.swift */; };
		2278101620D38A3600E198AD /* LoadMoreCollectionCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = 2278101420D38A3600E198AD /* LoadMoreCollectionCell.xib */; };
		34C73ED720D296140095E688 /* VideoListViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 34C73ED520D296140095E688 /* VideoListViewCell.swift */; };
		34C73ED820D296140095E688 /* VideoListViewCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = 34C73ED620D296140095E688 /* VideoListViewCell.xib */; };
		34C73EDA20D2A1F90095E688 /* UIView-Extension.swift in Sources */ = {isa = PBXBuildFile; fileRef = 34C73ED920D2A1F90095E688 /* UIView-Extension.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		224DFAE420D24F1800364A1F /* PhoChannel.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = PhoChannel.app; sourceTree = BUILT_PRODUCTS_DIR; };
		224DFAE720D24F1800364A1F /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		224DFAEC20D24F1800364A1F /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		224DFAEE20D24F1900364A1F /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		224DFAF120D24F1900364A1F /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		224DFAF320D24F1900364A1F /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		224DFAFD20D254C300364A1F /* Define.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Define.swift; sourceTree = "<group>"; };
		224DFAFF20D258A700364A1F /* Utility.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Utility.swift; sourceTree = "<group>"; };
		224DFB0120D25BD900364A1F /* VideoModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = VideoModel.swift; sourceTree = "<group>"; };
		224DFB0320D263B300364A1F /* VideoIdentifier.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = VideoIdentifier.swift; sourceTree = "<group>"; };
		224DFB0520D263CB00364A1F /* SnippetModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SnippetModel.swift; sourceTree = "<group>"; };
		224DFB0720D263E200364A1F /* ThumbnailModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ThumbnailModel.swift; sourceTree = "<group>"; };
		224DFB0920D263F300364A1F /* ThumbnailSize.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ThumbnailSize.swift; sourceTree = "<group>"; };
		224DFB0B20D26FC100364A1F /* VideoThumbnailView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = VideoThumbnailView.swift; sourceTree = "<group>"; };
		224DFB0E20D280D400364A1F /* UIStoryboard-Extension.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIStoryboard-Extension.swift"; sourceTree = "<group>"; };
		224DFB1020D2829300364A1F /* VideoListViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = VideoListViewController.swift; sourceTree = "<group>"; };
		22780FF420D34F3300E198AD /* VideoDetailViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = VideoDetailViewController.swift; sourceTree = "<group>"; };
		22780FF920D3657C00E198AD /* VideoInfoViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = VideoInfoViewCell.swift; sourceTree = "<group>"; };
		22780FFA20D3657C00E198AD /* VideoInfoViewCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = VideoInfoViewCell.xib; sourceTree = "<group>"; };
		2278100520D374A000E198AD /* VideoRelatedTextCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = VideoRelatedTextCell.swift; sourceTree = "<group>"; };
		2278100620D374A000E198AD /* VideoRelatedTextCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = VideoRelatedTextCell.xib; sourceTree = "<group>"; };
		2278100920D3755300E198AD /* VideoRelatedViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = VideoRelatedViewCell.swift; sourceTree = "<group>"; };
		2278100A20D3755300E198AD /* VideoRelatedViewCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = VideoRelatedViewCell.xib; sourceTree = "<group>"; };
		2278100F20D389D900E198AD /* LoadMoreTableCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LoadMoreTableCell.swift; sourceTree = "<group>"; };
		2278101020D389D900E198AD /* LoadMoreTableCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = LoadMoreTableCell.xib; sourceTree = "<group>"; };
		2278101320D38A3600E198AD /* LoadMoreCollectionCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LoadMoreCollectionCell.swift; sourceTree = "<group>"; };
		2278101420D38A3600E198AD /* LoadMoreCollectionCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = LoadMoreCollectionCell.xib; sourceTree = "<group>"; };
		34C73ED520D296140095E688 /* VideoListViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = VideoListViewCell.swift; sourceTree = "<group>"; };
		34C73ED620D296140095E688 /* VideoListViewCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = VideoListViewCell.xib; sourceTree = "<group>"; };
		34C73ED920D2A1F90095E688 /* UIView-Extension.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIView-Extension.swift"; sourceTree = "<group>"; };
		3B755E4896E71E8B24C4EE85 /* Pods-PhoChannel.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-PhoChannel.release.xcconfig"; path = "Pods/Target Support Files/Pods-PhoChannel/Pods-PhoChannel.release.xcconfig"; sourceTree = "<group>"; };
		3DD5589FDA0BA33F37C5F2DF /* Pods_PhoChannel.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_PhoChannel.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		881D2CD28D8B311DAF565D31 /* Pods-PhoChannel.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-PhoChannel.debug.xcconfig"; path = "Pods/Target Support Files/Pods-PhoChannel/Pods-PhoChannel.debug.xcconfig"; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		224DFAE120D24F1800364A1F /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				0B184B30B2DAAED9724F6B62 /* Pods_PhoChannel.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		224DFADB20D24F1800364A1F = {
			isa = PBXGroup;
			children = (
				224DFAE620D24F1800364A1F /* PhoChannel */,
				224DFAE520D24F1800364A1F /* Products */,
				EF56BC1F5CDAE39E31CCF388 /* Pods */,
				36575E230C6BFEA1F1D86637 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		224DFAE520D24F1800364A1F /* Products */ = {
			isa = PBXGroup;
			children = (
				224DFAE420D24F1800364A1F /* PhoChannel.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		224DFAE620D24F1800364A1F /* PhoChannel */ = {
			isa = PBXGroup;
			children = (
				224DFB0D20D2805C00364A1F /* Extension */,
				224DFAFC20D2546400364A1F /* Utility */,
				224DFAF920D2544400364A1F /* Model */,
				224DFAFA20D2544D00364A1F /* View */,
				224DFAFB20D2545300364A1F /* Controller */,
				224DFAE720D24F1800364A1F /* AppDelegate.swift */,
				224DFAEB20D24F1800364A1F /* Main.storyboard */,
				224DFAEE20D24F1900364A1F /* Assets.xcassets */,
				224DFAF020D24F1900364A1F /* LaunchScreen.storyboard */,
				224DFAF320D24F1900364A1F /* Info.plist */,
			);
			path = PhoChannel;
			sourceTree = "<group>";
		};
		224DFAF920D2544400364A1F /* Model */ = {
			isa = PBXGroup;
			children = (
				224DFB0120D25BD900364A1F /* VideoModel.swift */,
				224DFB0320D263B300364A1F /* VideoIdentifier.swift */,
				224DFB0520D263CB00364A1F /* SnippetModel.swift */,
				224DFB0720D263E200364A1F /* ThumbnailModel.swift */,
				224DFB0920D263F300364A1F /* ThumbnailSize.swift */,
			);
			path = Model;
			sourceTree = "<group>";
		};
		224DFAFA20D2544D00364A1F /* View */ = {
			isa = PBXGroup;
			children = (
				34C73ED320D295AC0095E688 /* VideoThumbnail */,
				34C73ED420D295CD0095E688 /* VideoListCell */,
				34C73EDB20D2BAFB0095E688 /* LoadMoreCell */,
				22780FF820D3654800E198AD /* VideoInfoCell */,
				22780FFD20D373AA00E198AD /* VideoRelated */,
			);
			path = View;
			sourceTree = "<group>";
		};
		224DFAFB20D2545300364A1F /* Controller */ = {
			isa = PBXGroup;
			children = (
				22780FF220D34EFF00E198AD /* VideoList */,
				22780FF320D34F0800E198AD /* VideoDetail */,
			);
			path = Controller;
			sourceTree = "<group>";
		};
		224DFAFC20D2546400364A1F /* Utility */ = {
			isa = PBXGroup;
			children = (
				224DFAFD20D254C300364A1F /* Define.swift */,
				224DFAFF20D258A700364A1F /* Utility.swift */,
			);
			path = Utility;
			sourceTree = "<group>";
		};
		224DFB0D20D2805C00364A1F /* Extension */ = {
			isa = PBXGroup;
			children = (
				224DFB0E20D280D400364A1F /* UIStoryboard-Extension.swift */,
				34C73ED920D2A1F90095E688 /* UIView-Extension.swift */,
			);
			path = Extension;
			sourceTree = "<group>";
		};
		22780FF220D34EFF00E198AD /* VideoList */ = {
			isa = PBXGroup;
			children = (
				224DFB1020D2829300364A1F /* VideoListViewController.swift */,
			);
			path = VideoList;
			sourceTree = "<group>";
		};
		22780FF320D34F0800E198AD /* VideoDetail */ = {
			isa = PBXGroup;
			children = (
				22780FF420D34F3300E198AD /* VideoDetailViewController.swift */,
			);
			path = VideoDetail;
			sourceTree = "<group>";
		};
		22780FF820D3654800E198AD /* VideoInfoCell */ = {
			isa = PBXGroup;
			children = (
				22780FF920D3657C00E198AD /* VideoInfoViewCell.swift */,
				22780FFA20D3657C00E198AD /* VideoInfoViewCell.xib */,
			);
			path = VideoInfoCell;
			sourceTree = "<group>";
		};
		22780FFD20D373AA00E198AD /* VideoRelated */ = {
			isa = PBXGroup;
			children = (
				22780FFE20D373DB00E198AD /* Text */,
				22780FFF20D373F600E198AD /* RelatedCell */,
			);
			path = VideoRelated;
			sourceTree = "<group>";
		};
		22780FFE20D373DB00E198AD /* Text */ = {
			isa = PBXGroup;
			children = (
				2278100520D374A000E198AD /* VideoRelatedTextCell.swift */,
				2278100620D374A000E198AD /* VideoRelatedTextCell.xib */,
			);
			path = Text;
			sourceTree = "<group>";
		};
		22780FFF20D373F600E198AD /* RelatedCell */ = {
			isa = PBXGroup;
			children = (
				2278100920D3755300E198AD /* VideoRelatedViewCell.swift */,
				2278100A20D3755300E198AD /* VideoRelatedViewCell.xib */,
			);
			path = RelatedCell;
			sourceTree = "<group>";
		};
		2278100D20D389AC00E198AD /* CollectionView */ = {
			isa = PBXGroup;
			children = (
				2278101320D38A3600E198AD /* LoadMoreCollectionCell.swift */,
				2278101420D38A3600E198AD /* LoadMoreCollectionCell.xib */,
			);
			path = CollectionView;
			sourceTree = "<group>";
		};
		2278100E20D389BD00E198AD /* TableView */ = {
			isa = PBXGroup;
			children = (
				2278100F20D389D900E198AD /* LoadMoreTableCell.swift */,
				2278101020D389D900E198AD /* LoadMoreTableCell.xib */,
			);
			path = TableView;
			sourceTree = "<group>";
		};
		34C73ED320D295AC0095E688 /* VideoThumbnail */ = {
			isa = PBXGroup;
			children = (
				224DFB0B20D26FC100364A1F /* VideoThumbnailView.swift */,
			);
			path = VideoThumbnail;
			sourceTree = "<group>";
		};
		34C73ED420D295CD0095E688 /* VideoListCell */ = {
			isa = PBXGroup;
			children = (
				34C73ED520D296140095E688 /* VideoListViewCell.swift */,
				34C73ED620D296140095E688 /* VideoListViewCell.xib */,
			);
			path = VideoListCell;
			sourceTree = "<group>";
		};
		34C73EDB20D2BAFB0095E688 /* LoadMoreCell */ = {
			isa = PBXGroup;
			children = (
				2278100E20D389BD00E198AD /* TableView */,
				2278100D20D389AC00E198AD /* CollectionView */,
			);
			path = LoadMoreCell;
			sourceTree = "<group>";
		};
		36575E230C6BFEA1F1D86637 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				3DD5589FDA0BA33F37C5F2DF /* Pods_PhoChannel.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		EF56BC1F5CDAE39E31CCF388 /* Pods */ = {
			isa = PBXGroup;
			children = (
				881D2CD28D8B311DAF565D31 /* Pods-PhoChannel.debug.xcconfig */,
				3B755E4896E71E8B24C4EE85 /* Pods-PhoChannel.release.xcconfig */,
			);
			name = Pods;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		224DFAE320D24F1800364A1F /* PhoChannel */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 224DFAF620D24F1900364A1F /* Build configuration list for PBXNativeTarget "PhoChannel" */;
			buildPhases = (
				84BE15F7A6CA633F5054BE02 /* [CP] Check Pods Manifest.lock */,
				224DFAE020D24F1800364A1F /* Sources */,
				224DFAE120D24F1800364A1F /* Frameworks */,
				224DFAE220D24F1800364A1F /* Resources */,
				ED2197403589E6379FD7B0D7 /* [CP] Embed Pods Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = PhoChannel;
			productName = PhoChannel;
			productReference = 224DFAE420D24F1800364A1F /* PhoChannel.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		224DFADC20D24F1800364A1F /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 0940;
				LastUpgradeCheck = 0940;
				ORGANIZATIONNAME = macOS;
				TargetAttributes = {
					224DFAE320D24F1800364A1F = {
						CreatedOnToolsVersion = 9.4;
						ProvisioningStyle = Automatic;
					};
				};
			};
			buildConfigurationList = 224DFADF20D24F1800364A1F /* Build configuration list for PBXProject "PhoChannel" */;
			compatibilityVersion = "Xcode 8.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 224DFADB20D24F1800364A1F;
			productRefGroup = 224DFAE520D24F1800364A1F /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				224DFAE320D24F1800364A1F /* PhoChannel */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		224DFAE220D24F1800364A1F /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				2278101220D389D900E198AD /* LoadMoreTableCell.xib in Resources */,
				34C73ED820D296140095E688 /* VideoListViewCell.xib in Resources */,
				2278101620D38A3600E198AD /* LoadMoreCollectionCell.xib in Resources */,
				224DFAF220D24F1900364A1F /* LaunchScreen.storyboard in Resources */,
				224DFAEF20D24F1900364A1F /* Assets.xcassets in Resources */,
				2278100C20D3755300E198AD /* VideoRelatedViewCell.xib in Resources */,
				22780FFC20D3657C00E198AD /* VideoInfoViewCell.xib in Resources */,
				224DFAED20D24F1800364A1F /* Main.storyboard in Resources */,
				2278100820D374A000E198AD /* VideoRelatedTextCell.xib in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		84BE15F7A6CA633F5054BE02 /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-PhoChannel-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		ED2197403589E6379FD7B0D7 /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
				"${SRCROOT}/Pods/Target Support Files/Pods-PhoChannel/Pods-PhoChannel-frameworks.sh",
				"${BUILT_PRODUCTS_DIR}/MBProgressHUD/MBProgressHUD.framework",
				"${BUILT_PRODUCTS_DIR}/XCDYouTubeKit/XCDYouTubeKit.framework",
			);
			name = "[CP] Embed Pods Frameworks";
			outputPaths = (
				"${TARGET_BUILD_DIR}/${FRAMEWORKS_FOLDER_PATH}/MBProgressHUD.framework",
				"${TARGET_BUILD_DIR}/${FRAMEWORKS_FOLDER_PATH}/XCDYouTubeKit.framework",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${SRCROOT}/Pods/Target Support Files/Pods-PhoChannel/Pods-PhoChannel-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		224DFAE020D24F1800364A1F /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				224DFAFE20D254C300364A1F /* Define.swift in Sources */,
				34C73EDA20D2A1F90095E688 /* UIView-Extension.swift in Sources */,
				22780FFB20D3657C00E198AD /* VideoInfoViewCell.swift in Sources */,
				224DFAE820D24F1800364A1F /* AppDelegate.swift in Sources */,
				224DFB0620D263CB00364A1F /* SnippetModel.swift in Sources */,
				2278101120D389D900E198AD /* LoadMoreTableCell.swift in Sources */,
				224DFB0820D263E200364A1F /* ThumbnailModel.swift in Sources */,
				34C73ED720D296140095E688 /* VideoListViewCell.swift in Sources */,
				224DFB0F20D280D400364A1F /* UIStoryboard-Extension.swift in Sources */,
				224DFB0220D25BD900364A1F /* VideoModel.swift in Sources */,
				224DFB0A20D263F300364A1F /* ThumbnailSize.swift in Sources */,
				224DFB0420D263B300364A1F /* VideoIdentifier.swift in Sources */,
				2278100720D374A000E198AD /* VideoRelatedTextCell.swift in Sources */,
				224DFB0C20D26FC100364A1F /* VideoThumbnailView.swift in Sources */,
				224DFB0020D258A700364A1F /* Utility.swift in Sources */,
				2278100B20D3755300E198AD /* VideoRelatedViewCell.swift in Sources */,
				2278101520D38A3600E198AD /* LoadMoreCollectionCell.swift in Sources */,
				22780FF520D34F3300E198AD /* VideoDetailViewController.swift in Sources */,
				224DFB1120D2829300364A1F /* VideoListViewController.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		224DFAEB20D24F1800364A1F /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				224DFAEC20D24F1800364A1F /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		224DFAF020D24F1900364A1F /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				224DFAF120D24F1900364A1F /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		224DFAF420D24F1900364A1F /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 11.4;
				MTL_ENABLE_DEBUG_INFO = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		224DFAF520D24F1900364A1F /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 11.4;
				MTL_ENABLE_DEBUG_INFO = NO;
				SDKROOT = iphoneos;
				SWIFT_OPTIMIZATION_LEVEL = "-Owholemodule";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		224DFAF720D24F1900364A1F /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 881D2CD28D8B311DAF565D31 /* Pods-PhoChannel.debug.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = H3G2UXSF6Y;
				INFOPLIST_FILE = PhoChannel/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 9.0;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = com.vinhle.PhoChannel;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.0;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Debug;
		};
		224DFAF820D24F1900364A1F /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 3B755E4896E71E8B24C4EE85 /* Pods-PhoChannel.release.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = H3G2UXSF6Y;
				INFOPLIST_FILE = PhoChannel/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 9.0;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = com.vinhle.PhoChannel;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.0;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		224DFADF20D24F1800364A1F /* Build configuration list for PBXProject "PhoChannel" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				224DFAF420D24F1900364A1F /* Debug */,
				224DFAF520D24F1900364A1F /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		224DFAF620D24F1900364A1F /* Build configuration list for PBXNativeTarget "PhoChannel" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				224DFAF720D24F1900364A1F /* Debug */,
				224DFAF820D24F1900364A1F /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 224DFADC20D24F1800364A1F /* Project object */;
}
